#
#     CPU Profiler Properties File
#
#
# This file is used to set the properties loaded into target JVM to configure
# CPU profiler, typically when running CPU profiler in headless mode or running
# on remote host.
#
# Usage:
#     java -javaagent:<jvmmonitor agent jar file> -Djvmmonitor.config=<config file name>
#

#
# The property to defer starting profiling. If setting to true, profiler won't be
# automatically started right after starting Java application.
#
#     jvmmonitor.deferred = <true | false>
#

jvmmonitor.deferred = false

#
# The property to enable dumping CPU profile data when shutting down JVM.
#

jvmmonitor.dump = true

#
# The property to set directory to dump CPU profile data. The file name will be 
# jvmmonitor_<time stamp>.cpu.
#
#     jvmmonitor.dump.dir = <directory>
#
# NOTE: The directory separator must be '/' instead of '\'.
#

jvmmonitor.dump.dir = C:/
#jvmmonitor.dump.dir = /home/guest/

#
# The property to set the packages ignored by profiler.
#
#     jvmmonitor.ignored.packages = <java packages separated with comma>
#

#jvmmonitor.ignored.packages = java.*, javax.*

#
# The property to set the packages profiled by profiler except for the packages
# specified with jvmmonitor.ignored.packages. If no packages are set, nothing 
# will be profiled.
#
#     jvmmonitor.profiled.packages = <java packages separated with comma>
#

jvmmonitor.profiled.packages = org.swtchart.*
#jvmmonitor.profiled.packages = <default>

#
# The property to set the class loaders that load classes profiled. If no class 
# loaders are set, nothing will be filtered out with class loaders for profiler.
#
#     jvmmonitor.profiled.classloaders = <class loaders separated with comma>
#

#jvmmonitor.profiled.classloaders = sun.misc.Launcher$AppClassLoader
